// ignore_for_file: non_constant_identifier_names

import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

class EnvironmentSheet {
  // 保存环境变量的key
  final _env_prefs_Key = "jf_environment_key";

  final _environments = ["测试环境", "预发环境", "线上环境", "其他"];

  final BuildContext context;

  EnvironmentSheet(this.context);

  void showBoomSheet() {
    showModalBottomSheet(
        context: context,
        builder: (context) => BottomSheet(
              onClosing: null,
              builder: (context) => ListView.builder(
                  itemCount: _environments.length,
                  itemBuilder: (context, index) => ListTile(
                        title: Text("${_environments[index]}"),
                        onTap: () {
                          Navigator.of(context).pop();
                          _saveEnv("$index");
                        },
                      )),
            ));
  }

  void _saveEnv(String value) async {
    final prefs = await SharedPreferences.getInstance();
    prefs.setString(_env_prefs_Key, value);
  }

  Future<String> getEnv() async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.getString(_env_prefs_Key);
  }
}
